> For the complete documentation index, see [llms.txt](https://docs.31third.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.31third.com/protocol/contracts/owner-privilege.md).

# Owner Privilege

This page elaborates owner privileges.

## BatchTrade

### activate()/deactivate()

Owner can pause and unpause batchTrading. This is intended to be used when a new version of 31Third protocol will be deployed.

### updateFeeRecipient()

Owner can update the fee recipient wallet.

### updateBasisPoints()

Owner can update fee basis points in a range of:$$0 <= feeBasisPoints <= maxFeeBasisPoints$$

### reduceMaxFeeBasisPoints()

Owner can reduce max fee basis points.

(Max fee basis points are currently set to twenty basis points.)

### addFeelessWallet()/removeFeelessWallet()

Owner can add and remove wallets which are eligable for feeless trading.

### updateTradeSigner()

Owner can adapt the public key used for validating the sent `Trade` struct data sent into `batchTrade(...)`.

## ExchangeAdapterRegistry

### addAdapter()/removeAdapter()

Owner can add/remove adapters which are used the establish the connection to external exchange contracts like [0x ExchangeProxy](https://etherscan.io/address/0xDef1C0ded9bec7F1a1670819833240f027b25EfF).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.31third.com/protocol/contracts/owner-privilege.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
